{# Had to be separate from "canvas/macros/wishlist.jinja" to prevent circular imports. #}

{% macro get_wishlist_button(product, customer) %}
    {% set wishlist_url = url("shuup:login") if request.customer.is_anonymous else "" %}
    {% if request.customer.is_anonymous %}
        {% set is_wishlisted = False %}
    {% else %}
        {% set wishlist = request.customer.wishlist_set.first() %}
        {% set is_wishlisted = product in wishlist.products.all() if wishlist and wishlist.products %}
    {% endif %}
    <div class="wishlist-container" data-wishlist-product-id="{{ product.id }}">
        <button href="#" class="btn add-to-wishlist" data-shop-product-id="{{ product.id }}" data-url-override="{{ wishlist_url }}">
            {% if is_wishlisted %}
                <img src="{{ shuup_static("canvas/img/favorited.svg") }}" alt="Already in wishlist" />
                <span class="text sr-only">{% trans %}Already in wishlist{% endtrans %}</span>
            {% else %}
                <img src="{{ shuup_static("canvas/img/add-to-wishlist.svg") }}" alt="Add to wishlist" />
                <span class="text sr-only">{% trans %}Add to wishlist{% endtrans %}</span>
            {% endif %}
        </button>
    </div>
{% endmacro %}
